Commit e5072990 authored by Kristián Feldsam's avatar Kristián Feldsam

Fixed selected php version in template

Signed-off-by: Kristián Feldsam's avatarKristián Feldsam <feldsam@gmail.com>
parent 9ee543bb
......@@ -99,6 +99,8 @@ class page_action extends tform_actions {
unset($tmp);
unset($ips);
$app->tpl->setVar("fastcgi_php_version", $this->dataRecord['fastcgi_php_version']);
parent::onShowEnd();
}
......
......@@ -85,9 +85,7 @@
<div class="form-group fastcgi_php_version">
<label for="fastcgi_php_version" class="col-sm-3 control-label">{tmpl_var name='fastcgi_php_version_txt'}</label>
<div class="col-sm-9">
<select name="fastcgi_php_version" id="fastcgi_php_version" class="form-control">
{tmpl_var name='fastcgi_php_version'}
</select>
<select name="fastcgi_php_version" id="fastcgi_php_version" class="form-control" data-selected="{tmpl_var name='fastcgi_php_version'}"></select>
</div>
</div>
<div class="form-group">
......@@ -339,7 +337,7 @@
var options = '<option value="">Default</option>';
var phpfastcgiselected = '';
$.each(data, function(key, val) {
if($('#fastcgi_php_version').val() == key){
if($('#fastcgi_php_version').attr('data-selected') == key){
phpfastcgiselected = ' selected="selected"';
} else {
phpfastcgiselected = '';
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment